gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Gtk::Notebook_Helpers::PageList Class Reference

An STL-style container for pages in a Gtk::Notebook. More...

## Public Types
typedef Page | value_type
typedef Page& | reference
typedef const Page& | const_reference
typedef PageIterator | iterator
typedef Glib::List_ConstIterator< iterator > | const_iterator
typedef Glib::List_ReverseIterator< iterator > | reverse_iterator
typedef Glib::List_ConstIterator< reverse_iterator > | const_reverse_iterator
typedef const Element | element_type
typedef size_t | difference_type
typedef size_t | size_type

## Public Member Functions
| PageList ()
| PageList (GtkNotebook*gparent)
| PageList (const PageList& src)
PageList& | operator= (const PageList& src)
GtkNotebook* | gparent ()
const GtkNotebook* | gparent () const
size_type | size () const
size_type | max_size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
value_type | front () const
value_type | back () const
value_type | operator[] (size_type l) const
iterator | insert (iterator position, element_type& e)
template<class InputIterator >
void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
void | erase (iterator start, iterator stop)
iterator | erase (iterator)
void | remove (const_reference child)
void | remove (Widget& w)
void | reorder (iterator loc, iterator page)
iterator | find (int num)
iterator | find (const_reference c)
iterator | find (Widget& w)
iterator | find (GtkNotebookPage* t)
void | pop_front ()
void | pop_back ()
void | clear ()

## Protected Member Functions
iterator | begin_ () const
iterator | end_ () const

## Protected Attributes
GtkNotebook* | gparent_

## Detailed Description

An STL-style container for pages in a Gtk::Notebook.

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc. instead.

## Member Typedef Documentation

typedef Glib::List_ConstIterator<iterator> Gtk::Notebook_Helpers::PageList::const_iterator

typedef const Page& Gtk::Notebook_Helpers::PageList::const_reference

typedef Glib::List_ConstIterator<reverse_iterator> Gtk::Notebook_Helpers::PageList::const_reverse_iterator

typedef size_t Gtk::Notebook_Helpers::PageList::difference_type

typedef const Element Gtk::Notebook_Helpers::PageList::element_type

typedef PageIterator Gtk::Notebook_Helpers::PageList::iterator

typedef Page& Gtk::Notebook_Helpers::PageList::reference

typedef Glib::List_ReverseIterator<iterator> Gtk::Notebook_Helpers::PageList::reverse_iterator

typedef size_t Gtk::Notebook_Helpers::PageList::size_type

typedef Page Gtk::Notebook_Helpers::PageList::value_type

## Constructor & Destructor Documentation

Gtk::Notebook_Helpers::PageList::PageList | ( |  | ) |

Gtk::Notebook_Helpers::PageList::PageList | ( | GtkNotebook * | gparent | ) |
| explicit

Gtk::Notebook_Helpers::PageList::PageList | ( | const PageList& | src | ) |

## Member Function Documentation

value_type Gtk::Notebook_Helpers::PageList::back | ( |  | ) | const

iterator Gtk::Notebook_Helpers::PageList::begin | ( |  | ) |
| inline

const_iterator Gtk::Notebook_Helpers::PageList::begin | ( |  | ) | const
| inline

iterator Gtk::Notebook_Helpers::PageList::begin_ | ( |  | ) | const
| protected

void Gtk::Notebook_Helpers::PageList::clear | ( |  | ) |

bool Gtk::Notebook_Helpers::PageList::empty | ( |  | ) | const

iterator Gtk::Notebook_Helpers::PageList::end | ( |  | ) |
| inline

const_iterator Gtk::Notebook_Helpers::PageList::end | ( |  | ) | const
| inline

iterator Gtk::Notebook_Helpers::PageList::end_ | ( |  | ) | const
| protected

void Gtk::Notebook_Helpers::PageList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  |

iterator Gtk::Notebook_Helpers::PageList::erase | ( | iterator |  | ) |

iterator Gtk::Notebook_Helpers::PageList::find | ( | int | num | ) |

iterator Gtk::Notebook_Helpers::PageList::find | ( | const_reference | c | ) |

iterator Gtk::Notebook_Helpers::PageList::find | ( | Widget& | w | ) |

iterator Gtk::Notebook_Helpers::PageList::find | ( | GtkNotebookPage * | t | ) |

value_type Gtk::Notebook_Helpers::PageList::front | ( |  | ) | const

GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent | ( |  | ) |
| inline

const GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent | ( |  | ) | const
| inline

iterator Gtk::Notebook_Helpers::PageList::insert | ( | iterator | position,
|  | element_type& | e
| ) |  |

template <class InputIterator >

void Gtk::Notebook_Helpers::PageList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) |  |
| inline

size_type Gtk::Notebook_Helpers::PageList::max_size | ( |  | ) | const

PageList& Gtk::Notebook_Helpers::PageList::operator= | ( | const PageList& | src | ) |

value_type Gtk::Notebook_Helpers::PageList::operator[] | ( | size_type | l | ) | const

void Gtk::Notebook_Helpers::PageList::pop_back | ( |  | ) |
| inline

void Gtk::Notebook_Helpers::PageList::pop_front | ( |  | ) |
| inline

void Gtk::Notebook_Helpers::PageList::push_back | ( | element_type& | e | ) |
| inline

void Gtk::Notebook_Helpers::PageList::push_front | ( | element_type& | e | ) |
| inline

reverse_iterator Gtk::Notebook_Helpers::PageList::rbegin | ( |  | ) |
| inline

const_reverse_iterator Gtk::Notebook_Helpers::PageList::rbegin | ( |  | ) | const
| inline

void Gtk::Notebook_Helpers::PageList::remove | ( | const_reference | child | ) |

void Gtk::Notebook_Helpers::PageList::remove | ( | Widget& | w | ) |

reverse_iterator Gtk::Notebook_Helpers::PageList::rend | ( |  | ) |
| inline

const_reverse_iterator Gtk::Notebook_Helpers::PageList::rend | ( |  | ) | const
| inline

void Gtk::Notebook_Helpers::PageList::reorder | ( | iterator | loc,
|  | iterator | page
| ) |  |

size_type Gtk::Notebook_Helpers::PageList::size | ( |  | ) | const

## Member Data Documentation

GtkNotebook* Gtk::Notebook_Helpers::PageList::gparent_
| protected

The documentation for this class was generated from the following file:

- gtkmm/notebook.h